<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
  xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
  <ui:composition template="/pages/pridiatemplate.xhtml">
    <ui:define name="location">
      <ui:include src="/pages/admin/submenu.xhtml" />
    </ui:define>
    <ui:define name="body">
      <p:panel header="#{facesContext.translate('title.report.snippletadmin')}">
        <p:dataTable id="list" value="#{adminModel.snipplettypes}" var="s">
          <p:column headerText="name" filterable="true" sortable="true" filterBy="#{facesContext.translate(s.snipplettype)}" sortBy="#{facesContext.translate(s.snipplettype)}" filterMatchMode="contains">
            <h:outputText value="#{facesContext.translate(s.snipplettype)}" />
            <br />
            <h:outputText value="#{s.snipplettype}" styleClass="annotation" />
          </p:column>
          <p:column headerText="order" filterable="true" sortable="true" filterBy="#{s.orderNr}" sortBy="#{s.orderNr}" filterMatchMode="contains">
          	<p:inputText id="ordernr" value="#{s.orderNr}">
          		<f:convertNumber integerOnly="true" />
          	</p:inputText>
          </p:column>
          <p:column headerText="latex-code" filterable="true" sortable="true" filterBy="#{s.snipplettemplate}" sortBy="#{s.snipplettemplate}" filterMatchMode="contains">
            <p:inputText id="template" value="#{s.snipplettemplate}" />
          </p:column>
          <p:column>
            <p:commandButton id="btn_do" action="#{adminController.doUpdateSnipplettype(s.id)}" value="#{facesContext.translate('button.approve')}" ajax="false" />
          </p:column>
        </p:dataTable>
      </p:panel>
    </ui:define>
		<ui:define name="help_de">
			TODO StS: Berichtsschnipsel können nur angepasst werden. Das Neuanlegen von solchen erfordert einen tiefen Eingriff in die Programmierung der Anwendung und kann deswegen nicht im laufenden Betrieb erfolgen. 
		</ui:define>
  </ui:composition>
</h:body>
</html>